App\Library\Amazon\Classes\SafetySupply:
    xml_root_name: SafetySupply
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\SafetySupply\VariationDataAType
        model:
            expose: true
            access_type: public_method
            serialized_name: Model
            accessor:
                getter: getModel
                setter: setModel
            type: string
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        itemDiameterString:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameterString
            accessor:
                getter: getItemDiameterString
                setter: setItemDiameterString
            type: App\Library\Amazon\Classes\LengthDimensionType
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        colorName:
            expose: true
            access_type: public_method
            serialized_name: ColorName
            accessor:
                getter: getColorName
                setter: setColorName
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            xml_list:
                inline: true
                entry_name: ColorMap
            type: array<string>
        frameMaterial:
            expose: true
            access_type: public_method
            serialized_name: FrameMaterial
            accessor:
                getter: getFrameMaterial
                setter: setFrameMaterial
            type: string
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        itemVolume:
            expose: true
            access_type: public_method
            serialized_name: ItemVolume
            accessor:
                getter: getItemVolume
                setter: setItemVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        upperTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: UpperTemperatureRating
            accessor:
                getter: getUpperTemperatureRating
                setter: setUpperTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        lowerTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: LowerTemperatureRating
            accessor:
                getter: getLowerTemperatureRating
                setter: setLowerTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        markingColor:
            expose: true
            access_type: public_method
            serialized_name: MarkingColor
            accessor:
                getter: getMarkingColor
                setter: setMarkingColor
            type: string
        heatingElementType:
            expose: true
            access_type: public_method
            serialized_name: HeatingElementType
            accessor:
                getter: getHeatingElementType
                setter: setHeatingElementType
            type: string
        maximumTemperature:
            expose: true
            access_type: public_method
            serialized_name: MaximumTemperature
            accessor:
                getter: getMaximumTemperature
                setter: setMaximumTemperature
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: float
